button{
    border: none;
    border-radius: 0.5rem;
    padding: 0.5rem 1rem;
    background-color: var(--color-grey-300);
    color: var(--color-white);
    font-size: 1rem;
    font-weight: var(--font-weight-bold);
    cursor: pointer;
    transition: background-color 0.3s ease;

    &:hover{
        background-color: var(--color-grey-400);
    }
    &.button-primary{
        background-color: var(--color-green-500);
        &:hover{
            background-color: var(--color-green-600);
        }
    }

    &.button-secondary{
        background-color: var(--color-red-500);
        &:hover{
            background-color: var(--color-red-600);
        }
    }

    &.button-ghost{
        background-color: transparent;
        color: var(--color-grey-500);
        &:hover{
            color: var(--color-grey-950);
        }
    }
}